> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/observability/monitoring-service/api-how-tos/retrieve-monitoring-pipeline.md).

# Retrieve Monitoring Pipeline Information

Returns the Monitoring Pipeline by ID.

To retrieve a Monitoring Pipeline, perform a `GET` request.

## Request

{% hint style="info" %}
The following is a sample request. Remember to replace the `{pipelineID}` with a valid ID of the specific pipeline whose information you want to access.
{% endhint %}

```bash
curl --location \
--request GET 'https://monitoring.de-txl.ionos.com/pipelines/{pipelineID}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $TOKEN'
```

{% tabs %}
{% tab title="Path Parameter" %}

| **Path Parameter** | **Type** | **Description**                | **Example**                            |
| ------------------ | -------- | ------------------------------ | -------------------------------------- |
| `pipelineID`       | string   | The ID (UUID) of the Pipeline. | `66a114c7-2ddd-5119-9ddf-5a789f5a5a44` |
| {% endtab %}       |          |                                |                                        |

{% tab title="Request Header Parameters" %}
To make authenticated requests to the API, the following fields are mandatory in the request header:

| **Header Parameter** | **Required** | **Type** | **Description**                                                                   |
| -------------------- | ------------ | -------- | --------------------------------------------------------------------------------- |
| `Authorization`      | yes          | string   | The Bearer token to enable requests to authenticate using a JSON Web Token (JWT). |
| {% endtab %}         |              |          |                                                                                   |
| {% endtabs %}        |              |          |                                                                                   |

## Response

The following is a sample response. The values returned by each response differ based on the request.

**200 Successful operation**

```json
{
  "id": "f72521ba-1590-5998-bf96-6eb997a5887d",
  "type": "pipeline",
  "href": "/pipelines/f72521ba-1590-5998-bf96-6eb997a5887d",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "status": "AVAILABLE",
    "statusMessage": null,
    "key": "momSrlgabcdef1234",
    "grafanaEndpoint": "https://grafana.logging.de-txl.ionos.com",
    "httpEndpoint": "https://f8ss7fgr7s-metrics.jf9ejf8t6hrt.monitoring.de-txl.ionos.com"
  },
  "properties": {
    "name": "Pipeline1"
  }
}
```

{% hint style="success" %}
**Result:** The Monitoring Pipeline and its details for the specified `pipelineID` are successfully obtained.
{% endhint %}

{% hint style="info" %}
**Note:** A key is necessary to send metrics through the newly formed monitoring pipeline. For more information about creating a key, see [<mark style="color:blue;">Obtain a New Key</mark>](/cloud/observability/monitoring-service/api-how-tos/obtain-key.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/observability/monitoring-service/api-how-tos/retrieve-monitoring-pipeline.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
